%define module hpilo

Name:           python-%module
Version:        4.4.3
Release:        %mkrel 3
License:        GPLv3+
Summary:        Python tools to configure HP ProLiant servers through the iLO HP RESTful API
Group:          Development/Python
Url:            https://pypi.org/project/python-hpilo/
Source:         https://pypi.io/packages/source/p/python-%{module}/python-%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cloud_sptheme

# docs
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description
Python cli and API to control the configuration of HP ProLiant servers
through the HP RESTful API provide by the HP iLO.

%package -n python3-%{module}
Summary:        Python3 tools to configure HP ProLiant servers through the iLO HP RESTful API
Group:          Development/Python
Obsoletes:	python-%{module} < 4.3

%description -n python3-%{module}
Python3 cli and API to control the configuration of HP ProLiant servers
through the HP RESTful API provide by the HP iLO.

%prep
%setup -q -n python-%{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

export PYTHONPATH=$(pwd)
sphinx-build -b html docs html
sphinx-build -b man docs man

%install
%pyproject_install
%pyproject_save_files hpilo hpilo_fw

install -p -D -m 644 man/python-%{module}.1 %{buildroot}%{_mandir}/man1/python-%{module}.1

%files -n python3-%{module} -f %{pyproject_files}
%license COPYING
%doc CHANGES README.md
%doc html
%{_bindir}/%{module}*
%{_mandir}/man1/*.1.*


%changelog
* Wed Feb 21 2024 papoteur <papoteur> 4.4.3-3.mga10
+ Revision: 2042920
- rebuild for python 3.12
- use pyproject macros

* Tue Mar 29 2022 umeabot <umeabot> 4.4.3-2.mga9
+ Revision: 1833346
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 4.4.3-1.mga9
+ Revision: 1784385
- version 4.4.3
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 4.3-4.mga9
+ Revision: 1732376
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 4.3-3.mga8
+ Revision: 1535856
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 4.3-2.mga8
+ Revision: 1452759
- rebuild with python 3.8

* Mon Aug 19 2019 wally <wally> 4.3-1.mga8
+ Revision: 1430347
- new version 4.3
- drop python2 support

* Tue Jan 08 2019 tv <tv> 4.2.1-6.mga7
+ Revision: 1351690
- rebuild with python 3.7

* Thu Oct 11 2018 bcornec <bcornec> 4.2.1-5.mga7
+ Revision: 1319510
- Update to upstream python-hpilo 4.2.1

* Thu Sep 20 2018 umeabot <umeabot> 2.11-5.mga7
+ Revision: 1288942
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.11-4.mga7
+ Revision: 1135449
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 2.11-3.mga6
+ Revision: 971013
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 2.11-2.mga6
+ Revision: 889063
- BR python3-sphinx_rtd_theme
- rebuild for python 3.5

* Sun Jul 12 2015 bcornec <bcornec> 2.11-1.mga6
+ Revision: 853449
- Fix a typo
- Update to upstream 2.11

* Wed Oct 15 2014 umeabot <umeabot> 2.8-4.mga5
+ Revision: 745138
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.8-3.mga5
+ Revision: 728733
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Thu Sep 11 2014 bcornec <bcornec> 2.8-1.mga5
+ Revision: 674615
- Explicitely make a dep on python-cloud_sptheme
- Added a forfotten sha1 file
- Import from upstream python-hpilo
- Created package structure for python-hpilo.

